Bug 1428733 - Firefox 52 do not recognize icedtea-web (and general java plugin)
Summary: Firefox 52 do not recognize icedtea-web (and general java plugin)
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firefox
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Martin Stransky
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-03 09:30 UTC by jiri vanek
Modified: 2017-03-21 12:39 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-03-03 09:35:09 UTC


Attachments (Terms of Use)

Description jiri vanek 2017-03-03 09:30:24 UTC
Description of problem:
Firefox 52 do not recognize icedtea-web (and general java plugin)
When firefox 52 and icedtea-web are isntalled together, firefox is not able to  recognize the plugin not in about:plugins nor in regular runtime

Version-Release number of selected component (if applicable):
firefox 52

How reproducible:
install firefox45, install ITW - about:plugins contains icedtea-web
update to firefox52, ITW no longerrecognized
clean install of firefox52 followed by ITW, same bad result

Comment 2 Tomas Pelka 2017-03-03 09:34:11 UTC
firefox-52.0-3.el7_3

Comment 4 jiri vanek 2017-03-03 09:35:09 UTC
broken in 52.0-1
fixed in lates 52.0-3
https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=541795

Comment 5 Yves L'ECUYER 2017-03-21 11:03:06 UTC
# rpm -qa | grep firefox
firefox-52.0-4.fc25.x86_64
============================
So I'm using Fedora 25, and with this last update of firefox, IcedTea-Web Plugin
is not recognized by firefox ,
while it is , with seamonkey 2.46 as viewed below:
=========================================
....
IcedTea-Web Plugin (using IcedTea-Web 1.6.2 (fedora-3.fc25-x86_64))

    Fichier : IcedTeaPlugin.so
    Chemin : /usr/lib64/IcedTeaPlugin.so
    Version : 
    État : Activé
    The IcedTea-Web Plugin executes Java applets.
..........
==================
DOES IT MEANS , now Fedora users have to build by themselves the Ferefox_52.0esr from source on: https://ftp.mozilla.org/pub/firefox/releases/52.0esr/

OR IS THERE ANY PLAN to provide the two packages: with or without ESR ?

Comment 6 Yves L'ECUYER 2017-03-21 11:43:04 UTC
OK I found an other solution here, on fedora french forum:
https://forums.fedora-fr.org/viewtopic.php?id=66354
The last suggestion of 

dannyleconte   11/03/2017 23:37:54
is to use Firefox 52 from standard Fedora repository , but 
 " to get back access to NPAPI plugin in Firefox 52 (not only for flash plugin but all other plugins using NPAPI) :
in about:config you must add a new boolean parameter :
plugin.load_flash_only
set to false "
=====================
To do so;  right click any where on the option list of "about:config"
and in the popup menu chose: New  -> Boolean value
enter the name: plugin.load_flash_only
and its value:  false

Once this parameter is et, without closing Firefox, open again about:plugins
AND THEN you can see all the NPAPI plugin installed: xine, ...
but over all, for the CISCO CCNA students the mandatory icedtea plugin, to be able to pass some exam requiring PaketTracer lab opened by java applet !

Comment 7 Martin Stransky 2017-03-21 12:39:35 UTC
(In reply to Yves L'ECUYER from comment #6)
> OK I found an other solution here, on fedora french forum:
> https://forums.fedora-fr.org/viewtopic.php?id=66354
> The last suggestion of 
> 
> dannyleconte   11/03/2017 23:37:54
> is to use Firefox 52 from standard Fedora repository , but 
>  " to get back access to NPAPI plugin in Firefox 52 (not only for flash
> plugin but all other plugins using NPAPI) :
> in about:config you must add a new boolean parameter :
> plugin.load_flash_only
> set to false "
> =====================
> To do so;  right click any where on the option list of "about:config"
> and in the popup menu chose: New  -> Boolean value
> enter the name: plugin.load_flash_only
> and its value:  false

That option may be removed in some future FF release but you can use that now.

If you want to use NPAPI plugins Fedora you also may download FF 52 ESR binary from mozilla.com (https://www.mozilla.org/en-US/firefox/organizations/all/) unpack the tar somewhere and run it.

When the browser is launched it register itself as a default browser and also updates automatically when new update is available.

Note that the recent ESR line (Firefox 52) is going to be dropped by Mozilla by end of this year.

You also have possibility to use old/deprecated browser (like the ESR52 in future) just for the NPAPI plugins...but that's on your own risk as those old browsers may have various flaws/vulnerabilities.


Note You need to log in before you can comment on or make changes to this bug.